Berkeley DB version 5.3.15

## com.sleepycat.db
Class EventHandlerAdapter

    java.lang.Object
      com.sleepycat.db.EventHandlerAdapter

All Implemented Interfaces:
  EventHandler

    public abstract class EventHandlerAdapter

extends Object
implements EventHandler

An abstract class that implements `EventHandler`, used to specify a callback function to be called when an event is sent from the Berkeley DB library.

See the `EventHandler` class documentation for information on event callback handler usage.

Constructor Summary
`EventHandlerAdapter()`

Method Summary
`void` `handlePanicEvent()` See `EventHandler.handlePanicEvent` for details of this callback.
`void` `handleRepClientEvent()` See `EventHandler.handleRepClientEvent` for details of this callback.
`void` `handleRepConnectBrokenEvent()` See `EventHandler.handleRepConnectBrokenEvent` for details of this callback.
`void` `handleRepConnectEstablishedEvent()` See `EventHandler.handleRepConnectEstablishedEvent` for details of this callback.
`void` `handleRepConnectTryFailedEvent()` See `EventHandler.handleRepConnectTryFailedEvent` for details of this callback.
`void` `handleRepDupmasterEvent()` See `EventHandler.handleRepDupmasterEvent` for details of this callback.
`void` `handleRepElectedEvent()` See `EventHandler.handleRepElectedEvent` for details of this callback.
`void` `handleRepElectionFailedEvent()` See `EventHandler.handleRepElectionFailedEvent` for details of this callback.
`void` `handleRepInitDoneEvent()` see `EventHandler.handleRepInitDoneEvent`for details of this callback.
`void` `handleRepJoinFailureEvent()` See `EventHandler.handleRepJoinFailureEvent` for details of this callback.
`void` `handleRepLocalSiteRemovedEvent()` See `EventHandler.handleRepLocalSiteRemovedEvent` for details of this callback.
`void` `handleRepMasterEvent()` See `EventHandler.handleRepMasterEvent` for details of this callback.
`void` `handleRepMasterFailureEvent()` See `EventHandler.handleRepMasterFailureEvent` for details of this callback.
`void` `handleRepNewMasterEvent(int envId)` See `EventHandler.handleRepNewMasterEvent` for details of this callback.
`void` `handleRepPermFailedEvent()` See `EventHandler.handleRepPermFailedEvent` for details of this callback.
`void` `handleRepSiteAddedEvent()` See `EventHandler.handleRepSiteAddedEvent` for details of this callback.
`void` `handleRepSiteRemovedEvent()` See `EventHandler.handleRepSiteRemovedEvent` for details of this callback.
`void` `handleRepStartupDoneEvent()` See `EventHandler.handleRepStartupDoneEvent` for details of this callback.
`void` `handleWriteFailedEvent(int errorCode)` See `EventHandler.handleWriteFailedEvent` for details of this callback.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventHandlerAdapter

    public EventHandlerAdapter()

Method Detail

### handlePanicEvent

    public void handlePanicEvent()

  See `EventHandler.handlePanicEvent` for details of this callback.

  Specified by:
    `handlePanicEvent` in interface `EventHandler`

### handleRepClientEvent

    public void handleRepClientEvent()

  See `EventHandler.handleRepClientEvent` for details of this callback.

  Specified by:
    `handleRepClientEvent` in interface `EventHandler`

### handleRepConnectBrokenEvent

    public void handleRepConnectBrokenEvent()

  See `EventHandler.handleRepConnectBrokenEvent` for details of this callback.

  Specified by:
    `handleRepConnectBrokenEvent` in interface `EventHandler`

### handleRepConnectEstablishedEvent

    public void handleRepConnectEstablishedEvent()

  See `EventHandler.handleRepConnectEstablishedEvent` for details of this callback.

  Specified by:
    `handleRepConnectEstablishedEvent` in interface `EventHandler`

### handleRepConnectTryFailedEvent

    public void handleRepConnectTryFailedEvent()

  See `EventHandler.handleRepConnectTryFailedEvent` for details of this callback.

  Specified by:
    `handleRepConnectTryFailedEvent` in interface `EventHandler`

### handleRepDupmasterEvent

    public void handleRepDupmasterEvent()

  See `EventHandler.handleRepDupmasterEvent` for details of this callback.

  Specified by:
    `handleRepDupmasterEvent` in interface `EventHandler`

### handleRepElectedEvent

    public void handleRepElectedEvent()

  See `EventHandler.handleRepElectedEvent` for details of this callback.

  Specified by:
    `handleRepElectedEvent` in interface `EventHandler`

### handleRepElectionFailedEvent

    public void handleRepElectionFailedEvent()

  See `EventHandler.handleRepElectionFailedEvent` for details of this callback.

  Specified by:
    `handleRepElectionFailedEvent` in interface `EventHandler`

### handleRepInitDoneEvent

    public void handleRepInitDoneEvent()

  see `EventHandler.handleRepInitDoneEvent`for details of this callback.

  Specified by:
    `handleRepInitDoneEvent` in interface `EventHandler`

### handleRepJoinFailureEvent

    public void handleRepJoinFailureEvent()

  See `EventHandler.handleRepJoinFailureEvent` for details of this callback.

  Specified by:
    `handleRepJoinFailureEvent` in interface `EventHandler`

### handleRepLocalSiteRemovedEvent

    public void handleRepLocalSiteRemovedEvent()

  See `EventHandler.handleRepLocalSiteRemovedEvent` for details of this callback.

  Specified by:
    `handleRepLocalSiteRemovedEvent` in interface `EventHandler`

### handleRepMasterEvent

    public void handleRepMasterEvent()

  See `EventHandler.handleRepMasterEvent` for details of this callback.

  Specified by:
    `handleRepMasterEvent` in interface `EventHandler`

### handleRepMasterFailureEvent

    public void handleRepMasterFailureEvent()

  See `EventHandler.handleRepMasterFailureEvent` for details of this callback.

  Specified by:
    `handleRepMasterFailureEvent` in interface `EventHandler`

### handleRepNewMasterEvent

    public void handleRepNewMasterEvent(int envId)

  See `EventHandler.handleRepNewMasterEvent` for details of this callback.

  Specified by:
    `handleRepNewMasterEvent` in interface `EventHandler`
  Parameters:
    `envId` - The environment ID of the new master site.

### handleRepPermFailedEvent

    public void handleRepPermFailedEvent()

  See `EventHandler.handleRepPermFailedEvent` for details of this callback.

  Specified by:
    `handleRepPermFailedEvent` in interface `EventHandler`

### handleRepSiteAddedEvent

    public void handleRepSiteAddedEvent()

  See `EventHandler.handleRepSiteAddedEvent` for details of this callback.

  Specified by:
    `handleRepSiteAddedEvent` in interface `EventHandler`

### handleRepSiteRemovedEvent

    public void handleRepSiteRemovedEvent()

  See `EventHandler.handleRepSiteRemovedEvent` for details of this callback.

  Specified by:
    `handleRepSiteRemovedEvent` in interface `EventHandler`

### handleRepStartupDoneEvent

    public void handleRepStartupDoneEvent()

  See `EventHandler.handleRepStartupDoneEvent` for details of this callback.

  Specified by:
    `handleRepStartupDoneEvent` in interface `EventHandler`

### handleWriteFailedEvent

    public void handleWriteFailedEvent(int errorCode)

  See `EventHandler.handleWriteFailedEvent` for details of this callback.

  Specified by:
    `handleWriteFailedEvent` in interface `EventHandler`
  Parameters:
    `errorCode` - If an operating system specific error code is available for the failure it will be passed in the errorCode parameter.

Berkeley DB version 5.3.15

Copyright (c) 1996, 2011 Oracle and/or its affiliates. All rights reserved.